/*--------------------------------------------------------------
# AJUSTES FINOS
--------------------------------------------------------------*/

.header{
    padding: 10px 0;
}
.page-title .heading {
    border-top:0px;
}

/*--------------------------------------------------------------
# SECCIONES AUTOGENERADAS
--------------------------------------------------------------*/

/** SUBCONTENEDORES PARA PAGINAS AUTOGENERADAS **/
div.common_page_container{
    margin-left: auto;
    margin-right: auto;
    max-width: 700px;
    margin-top: 80px;
    padding: 10px;
}

.new{
    color:red;
}

.new_menu_item_left_label_round {
    position: absolute;
    top: -10px;
    right: -10px;
    background-color: red;
    color: white;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
}

/*--------------------------------------------------------------
# PASTILLAS
--------------------------------------------------------------*/

.pastilla{
    border:1px solid;
    border-color: var(--color1);
    border-radius: 4px;
    box-shadow: 0 3px 5px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    margin-bottom: 5px;
    padding: 5px;
    padding-left: 15px;
}
.pastilla .title{
    font-weight: 500;
    font-size: 1em;
}

.pastilla .subtitle{
    font-size: 0.9em;
}

.pastilla .sessions_ses_title{font-weight: 500;}
.pastilla .session_subtitle{font-size: 0.9em;}
.pastilla .data{font-size: 0.8em;}

.list_day_separator{margin-bottom: 5px;margin-top: 10px;}

/*--------------------------------------------------------------
# EVENT-AREAS
--------------------------------------------------------------*/
.area_title {font-weight: 500;}
.area_list .desc {font-size: 0.9em;}
.area_list .authors {font-size: 0.8em;}
.area_list .keywords {font-size: 0.8em;}


/*--------------------------------------------------------------
# EVENT-PROGRAMME
--------------------------------------------------------------*/
.programme.session_title {font-weight: 500;}
.programme.session_subtitle {font-size: 0.9em;}
.programme.session_pr {font-size: 0.8em;}
.programme.session_chairs {font-size: 0.8em;}
.programme .data {font-size: 0.8em;}

/*--------------------------------------------------------------
# EVENT-SESSION
--------------------------------------------------------------*/
.page_event_session .data{ font-size: 0.9em;margin-top: 10px;}
.page_event_session .data2{ font-size: 0.9em;margin-top: 10px;}

/*--------------------------------------------------------------
# EVENT-ROOM
--------------------------------------------------------------*/



/*--------------------------------------------------------------
# ME-REGISTRATION
--------------------------------------------------------------*/
.page_me_registration  table  {
    padding: 10px;}
.page_me_registration  table  th {
    background-color: lightgrey !important;
    color: var(--color1)!important;;
}

/*--------------------------------------------------------------
# Barra de busqueda en  programme
--------------------------------------------------------------*/

.header{
    z-index:1000;
}
.search_top_bar{
    top:72px;
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: white;
    box-shadow: 0 3px 5px 0 rgba(0,0,0,0.2);
    z-index:999;
}


/*--------------------------------------------------------------
# MENUS
--------------------------------------------------------------*/
.navmenu a {
    padding: 5px 12px;
}

/* first level links */
nav,nav a{
    color: var(--color1);
    font-family: 'Roboto', sans-serif;
    font-weight: 600;
    text-decoration: none;
    font-size:14px;
    display:block;
    padding: 2px 0 2px 0;
}

.submenu{
    margin-left:20px;
}

.form-floating > label{
    margin-left:10px!important;
}

.btn{
    outline:1px solid var(--color1);
    color:var(--color1);

}

.btn:hover{
    background-color:var(--color1);
    color:white;
}

.btn-primary{
    background-color:var(--color1);
    color:white;
}

.btn-primary:hover{

    outline:1px solid var(--color1);
    color:var(--color1);
}

.btn-danger{
    background-color:red;
    color:white;
}
.btn-danger:hover{
    background-color: #ff8a8a;

}

.bg1{
    background-color:var(--color1);
    filter:brightness(60%);
}
#bt_mefileupd{
    margin-top:40px;
}

.btn-top-menu{
    background-color:var(--color1);
    color:white;
    filter:brightness(100%);
}

.btn-top-menu:hover{
    color:var(--color1);
    outline:1px solid var(--color1);
    background-color:white;
}


/*--------------------------------------------------------------
# STEPPER EN ME REGISTRATION
--------------------------------------------------------------*/


.md-stepper-horizontal {
    display:table;
    width:90%;
    max-width: 90%;
    margin:0 auto;
}

.md-stepper-horizontal a{
    text-decoration: none;
}

.md-stepper-horizontal .md-step {
    display:table-cell;
    position:relative;
    padding:5px;
}
.md-stepper-horizontal .md-step:hover,
.md-stepper-horizontal .md-step:active {
    background-color:rgba(0,0,0,0.04);
}
.md-stepper-horizontal .md-step:active {
    border-radius: 15% / 75%;
}
.md-stepper-horizontal .md-step:first-child:active {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}
.md-stepper-horizontal .md-step:last-child:active {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
.md-stepper-horizontal .md-step:hover .md-step-circle {
    background-color:#757575;
}
.md-stepper-horizontal .md-step:first-child .md-step-bar-left,
.md-stepper-horizontal .md-step:last-child .md-step-bar-right {
    display:none;
}
.md-stepper-horizontal .md-step .md-step-circle {
    width:30px;
    height:30px;
    margin:0 auto;
    background-color:#999999;
    border-radius: 50%;
    text-align: center;
    line-height:30px;
    font-size: 16px;
    font-weight: 600;
    color:#FFFFFF;
}
.md-stepper-horizontal .md-step.active .md-step-circle {
    background-color:var(--color1);
}

.md-stepper-horizontal .md-step.done .md-step-circle:before {
    font-weight:100;
    content: "\2714";
}
.md-stepper-horizontal .md-step.done .md-step-circle *,
.md-stepper-horizontal .md-step.editable .md-step-circle * {
    display:none;
}
.md-stepper-horizontal .md-step.editable .md-step-circle {
    -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
}
.md-stepper-horizontal .md-step.editable .md-step-circle:before {
    font-weight:100;
    content: "\270E";
}
.md-stepper-horizontal .md-step .md-step-title {
    margin-top:14px;
    font-size:14px;
    font-weight:400;
}
.md-stepper-horizontal .md-step .md-step-title,
.md-stepper-horizontal .md-step .md-step-optional {
    text-align: center;
    color:rgba(0,0,0,.26);
}
.md-stepper-horizontal .md-step.active .md-step-title {
    font-weight: 600;
    color:rgba(0,0,0,.87);
}
.md-stepper-horizontal .md-step.active.done .md-step-title,
.md-stepper-horizontal .md-step.active.editable .md-step-title {
    font-weight:600;
}
.md-stepper-horizontal .md-step .md-step-optional {
    font-size:12px;
}
.md-stepper-horizontal .md-step.active .md-step-optional {
    color:rgba(0,0,0,.54);
}
.md-stepper-horizontal .md-step .md-step-bar-left,
.md-stepper-horizontal .md-step .md-step-bar-right {
    position:absolute;
    top:19px;
    height:1px;
    border-top:1px solid #DDDDDD;
}
.md-stepper-horizontal .md-step .md-step-bar-right {
    right:0;
    left:50%;
    margin-left:20px;
}
.md-stepper-horizontal .md-step .md-step-bar-left {
    left:0;
    right:50%;
    margin-right:20px;
}




/**FIXES ME/PROFILE **/
#profile_img_view{
    max-width: 320px;
}



.text-justify {
    text-align: justify;
}
/**=================== TIMELINE  ====================**/



.main-timeline {
    position: relative;
}

/* The actual timeline (the vertical ruler) */
.main-timeline::after {
    content: "";
    position: absolute;
    width: 6px;
    background-color: #939597;
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -3px;
}

/* Container around content */
.timeline {
    position: relative;
    background-color: inherit;
    width: 50%;
}

/* The circles on the timeline */
.timeline::after {
    content: "";
    position: absolute;
    width: 25px;
    height: 25px;
    right: -13px;
    background-color: #fff;
    border: 5px solid var(--color1);
    top: 15px;
    border-radius: 50%;
    z-index: 1;
}

/* Place the container to the left */
.timeline.left {
    padding: 0px 40px 20px 0px;
    left: 0;
}

/* Place the container to the right */
.timeline.right {
    padding: 0px 0px 20px 40px;
    left: 50%;
}

/* Add arrows to the left container (pointing right) */
.timeline.left::before {
    content: " ";
    position: absolute;
    top: 18px;
    z-index: 1;
    right: 30px;
    border: medium solid white;
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent white;
}

/* Add arrows to the right container (pointing left) */
.timeline.right::before {
    content: " ";
    position: absolute;
    top: 18px;
    z-index: 1;
    left: 30px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent white transparent transparent;
}

/* Fix the circle for containers on the right side */
.timeline.right::after {
    left: -12px;
}

/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 600px) {
    /* Place the timelime to the left */
    .main-timeline::after {
        left: 31px;
    }


    .timeline.left & .timeline.right{
        padding: 0px 0px 20px 50px !important;
    }


    /* Full-width containers */
    .timeline {
        width: 100%;
        padding-left: 70px;
        padding-right: 25px;
    }

    /* Make sure that all arrows are pointing leftwards */
    .timeline::before {
        left: 60px;
        border: medium solid white;
        border-width: 10px 10px 10px 0;
        border-color: transparent white transparent transparent;
    }

    /* Make sure all circles are at the same spot */
    .timeline.left::after,
    .timeline.right::after {
        left: 18px;
    }

    .timeline.left::before {
        right: auto;
    }

    /* Make all right containers behave like the left ones */
    .timeline.right {
        left: 0%;
    }
}


